| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Properties | Private Member Functions | Private Attributes | List of all members
IG.Lib.LoadableScriptOptBase.AnalysisScript Class Reference
Inheritance diagram for IG.Lib.LoadableScriptOptBase.AnalysisScript:
[legend]
Collaboration diagram for IG.Lib.LoadableScriptOptBase.AnalysisScript:
[legend]

## Public Member Functions
| AnalysisScript (LoadableScriptOptBase script)
| Direct analysis class used in optimization problems, modified such that it is connected with a loadable script of type See also LoadableScriptOptBase . More...
override void | Analyse (IAnalysisResults anRes)
| Performs analysis - calculates requested results and writes them to the provided data structure. More...
void | Test ()

## Properties
LoadableScriptOptBase | Script`[get, protected set]`
| Loadable script object of type LoadableScriptOptBase in which the current object is embedded (and obtains all data from it). More...
Properties inherited from IG.Num.AnalysisBase
object | Lock`[get]`
virtual int | NumParameters`[get, set]`
| Number of parameters. More...
virtual int | NumObjectives`[get, set]`
| Number of objective functions (normally 1 for this type, but can be 0). More...
virtual int | NumConstraints`[get, set]`
| Number of constraints. More...
virtual int | NumEqualityConstraints`[get, set]`
| Number of equality constraints. More...
Properties inherited from IG.Num.IAnalysis
int | NumParameters`[get, set]`
| Number of parameters. More...
int | NumObjectives`[get, set]`
| Number of objective functions (normally 1 for this type, but can be 0). More...
int | NumConstraints`[get, set]`
| Number of constraints. More...
int | NumEqualityConstraints`[get, set]`
| Number of equality constraints. More...
Properties inherited from IG.Lib.ILockable
object | Lock`[get]`

## Private Member Functions
| AnalysisScript ()

## Private Attributes
LoadableScriptOptBase | _script

## Additional Inherited Members
Protected Attributes inherited from IG.Num.AnalysisBase
int | _numParameters = -1
int | _numObjectives = -1
int | _numConstraints = -1
int | _numEqualityConstraints = -1

## Constructor & Destructor Documentation

IG.Lib.LoadableScriptOptBase.AnalysisScript.AnalysisScript | ( |  | ) |
| inline private

IG.Lib.LoadableScriptOptBase.AnalysisScript.AnalysisScript | ( | LoadableScriptOptBase | script | ) |
| inline

Direct analysis class used in optimization problems, modified such that it is connected with a loadable script of type

See also
  LoadableScriptOptBase

.

Parameters

  script |

## Member Function Documentation

override void IG.Lib.LoadableScriptOptBase.AnalysisScript.Analyse | ( | IAnalysisResults | analysisData | ) |
| inline

Performs analysis - calculates requested results and writes them to the provided data structure.

Parameters

  analysisData | Data structure where analysis request parameters are obtained and where analysis results are written.

Implements IG.Num.IAnalysis.

void IG.Lib.LoadableScriptOptBase.AnalysisScript.Test | ( |  | ) |
| inline

## Member Data Documentation

LoadableScriptOptBase IG.Lib.LoadableScriptOptBase.AnalysisScript._script
| private

## Property Documentation

LoadableScriptOptBase IG.Lib.LoadableScriptOptBase.AnalysisScript.Script
| get protected set

Loadable script object of type LoadableScriptOptBase in which the current object is embedded (and obtains all data from it).

The documentation for this class was generated from the following file:

- igbase/optimization/scripting/LoadableScriptOpt.cs